Forums

Resolved
0 votes
Hello,

i need php-cli on same version of php.
My system:
php 7.3.29 for web server
php 5.4.16 for terminal cli

It's possible to upgrade php-cli on same version ?

Thanks
Monday, September 20 2021, 08:35 AM
Share this post:

Accepted Answer

Monday, September 20 2021, 09:01 AM - #Permalink
Resolved
0 votes
If you have php7.3 installed, you will also have the matching php-cli. To use it, see https://www.softwarecollections.org/en/scls/jstanek/rh-php73/. I think the link is a bit confusing.
scl enable rh-php73 bash
just opens a bash prompt with php7.3 enabled. If you have an app you've written in PHP 7.3 you can run it with:
scl enable rh-php73 your_app
but I am not sure if ClearOS have hijacked it with their /usr/clearos/bin/php so you may need a .phpenv file in your path. Check the script. Or you can expressly invoke it by giving the path to the PHP executable /opt/rh/rh-php73/root/usr/bin/php or you can put a shebang at the top of your executable:
#!/opt/rh/rh-php73/root/usr/bin/php
The reply is currently minimized Show
Responses (0)
  • There are no replies here yet.
Your Reply